part of 'task_detail_cubit.dart';

abstract class TaskDetailState extends Equatable {
  const TaskDetailState();

  @override
  List<Object> get props => [];
}

class TaskDetailInitial extends TaskDetailState {}

class TaskDetailLoading extends TaskDetailState {}

class TaskDetailFailure extends TaskDetailState {
  final String errorMessage;

  TaskDetailFailure(this.errorMessage);
}

class TaskDetailSuccessful extends TaskDetailState {
  final Task task;
  TaskDetailSuccessful(this.task);
}
